> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Recordings Redaction

> Silence card, personal and health details in Voice API and TeXML call recordings.

Recording redaction silences sensitive details spoken on a call before the recording is stored. It's then possible to avoid storing sensitive data from your customers.

> [!NOTE]
>
> Currently, Recording Redaction supports English speech only, and is charged at Deepgram's [speech-to-text rate](https://telnyx.com/pricing/speech-to-text).

## What can be redacted

Choose one or more of these kinds:

| Kind | Silences | Examples |
| - | - | - |
| `pci` | Card details | Card number, expiry date, security code |
| `pii` | Personal details | Names, phone numbers, addresses, other identifying numbers |
| `phi` | Health details | Medications, doses, conditions |

## Voice API

Set the kinds as a list on any of these:

| Call Command | Parameter |
| - | - |
| [Recording start](https://developers.telnyx.com/api-reference/call-commands/recording-start.md) | `redaction` |
| [Dial](https://developers.telnyx.com/api-reference/call-commands/dial.md) with `record` | `record_redaction` |
| [Answer call](https://developers.telnyx.com/api-reference/call-commands/answer-call.md) with `record` | `record_redaction` |
| [Bridge calls](https://developers.telnyx.com/api-reference/call-commands/bridge-calls.md) with `record` | `record_redaction` |
| [Transfer call](https://developers.telnyx.com/api-reference/call-commands/transfer-call.md) with `record` | `record_redaction` |
| [Conference recording start](https://developers.telnyx.com/api-reference/conference-commands/conference-recording-start.md) | `redaction` |

```bash theme={null}
curl -X POST "https://api.telnyx.com/v2/calls/{call_control_id}/actions/record_start" \
  -H "Authorization: Bearer $TELNYX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "format": "mp3",
    "channels": "dual",
    "redaction": ["pci", "pii"]
  }'
```

When the recording is ready, the `call.recording.saved` webhook (`conference.recording.saved` for a conference) links to the redacted file.

## TeXML

Set the kinds separated by commas on any of these:

| Verb or command | Attribute or parameter |
| - | - |
| [`<Record>`](https://developers.telnyx.com/docs/voice/programmable-voice/texml-verbs/record) | `redaction="pci,pii"` |
| [`<Start><Recording>`](https://developers.telnyx.com/docs/voice/programmable-voice/texml-verbs/recording) | `redaction="pci,pii"` |
| [`<Dial record="...">`](https://developers.telnyx.com/docs/voice/programmable-voice/texml-verbs/dial) | `recordingRedaction="pci,pii"` |
| [Outbound call](https://developers.telnyx.com/api-reference/texml-rest-commands/initiate-an-outbound-call.md) with `Record=true` | `RecordingRedaction=pci,pii` |
| [Start recording on a call](https://developers.telnyx.com/api-reference/texml-rest-commands/request-recording-for-a-call.md) | `RecordingRedaction=pci,pii` |
| [`<Conference record="record-from-start">`](https://developers.telnyx.com/docs/voice/programmable-voice/texml-verbs/conference) | `recordingRedaction="pci,pii"` |
| [Dial a new conference participant](https://developers.telnyx.com/api-reference/texml-rest-commands/dial-a-new-conference-participant.md) with `ConferenceRecord=record-from-start` | `ConferenceRecordingRedaction=pci,pii` |

```xml theme={null}
<Response>
  <Start>
    <Recording redaction="pci" recordingStatusCallback="https://example.com/recording-status" />
  </Start>
  <Say>Please read me the card number.</Say>
</Response>
```
